Message d'avertissement

The subscription service is currently unavailable. Please try again later.

Fckeditor n'apparait pas...?

Information importante

En raison d'un grand nombre d'inscriptions de spammers sur notre site, polluant sans relache notre forum, nous suspendons la création de compte via le formulaire de "sign up".

Il est néanmoins toujours possible de devenir adhérent•e en faisant la demande sur cette page, rubrique "Inscription" : https://www.drupal.fr/contact


De plus, le forum est désormais "interdit en écriture". Il n'est plus autorisé d'y écrire un sujet/billet/commentaire.

Pour contacter la communauté, merci de rejoindre le slack "drupalfrance".

Si vous voulez contacter le bureau de l'association, utilisez le formulaire disponible ici, ou envoyez-nous un DM sur twitter.

Bon, voilà mon problème...
Je viens de mettre à jour mon site de Drupal 5 à 6, avec pertes et fracas, ça a été un joyeux souk... et bien que non débutante en drupal, j'y suis depuis une semaine, réglant un problème aprés l'autre !
Et là le dernier en date c'est que Fckeditor ne s'affiche pas... je l'ai installé X fois... en vain... De guere lasse j'ai installé Wysiwyg avec Fck... mais... pas mieux ! J'ai essayé wysiwyg avec Tynymice... Que dalle...
J'ai installé Openwysiwyg... Il fonctionne Alleluïa!!! Sauf qu'il ne me convient pas : je veux pouvoir parametrer les boutons en fonction des roles (ne drupalbasic et une drupalfull chez Fck en somme!)... Et open ne le permet pas...
Alors j'ai ressayé Fck (dans ma derniere version 6 installée sur un autresite qui fonctionne tres bien)... oui je suis tenace et patiente... Mais là encore un echec... et apres 8h (montre en main) sur le sujet, je commence à m'agacer !
Alors reprenons : j'ai uploadé fckn°1 dans sites/all/modules puis installé dans le repertoire fckeditor/fckeditor le contenu du fck n°2.
J'ai mis mon format d'entrée en full HTML. Donné l'acés aux utilsateurs et configuré "advanced" et "default" comme j'aime bien...
Et là "créer un contenu" : que dalle ! Rien ne s'affiche... même pas enable/disable rich text... Rien...

Alors à bout de patience et de force, je me tourne vers vous...
D'où peut venir le pb?
J'ai oublié quoi?
Une incompatibilité notoire entre fck et quoi? Sachant que mes config de sites sont tjs sensiblement les mêmes... Là je n'ai pas voulu réinventer la poudre... juste mettre à jour !

OVH qui me mettrait des batons ds les roues?
A ce propos, Drup 6 est il plus gourmand que Drup 5 car j'ai de temps en temps des messages d'erreur en installant des modules, comme

Fatal error: Allowed memory size of 67108864 bytes exhausted (tried to allocate 3501750 bytes) in /monsite/www/includes/common.inc on line 612
Warning: Cannot modify header information - headers already sent by (output started at /monsite/www/includes/common.inc:612) in Unknown on line 0

Ces messages disparaissent apres un F5...
Bref c'est la fête à neuneu sur ce site et je ne vais pas le laisser éternellement en "offline"... y a des attentes et il doit être achevé d'être mis à jour pour la rentrée...
Alors j'en appelle à votre bonne volonté : PLEASE HELP !
Et d'avance, merci !

Version de Drupal : 

Bonjour

Comme personne ne s'y colle (WE du 1508!!) , et que je rame aussi...

moi aussi j'ai galéré un peu avec le paramètrage,

module puis editor
..../sites/all/modules/fckeditor/fckeditor/
configuration etc...

Pour les infos sur l'instalation,j'avais utilisé ces liens:
http://drupal.org/node/114681
et
http://drupalfr.org/node/7540
http://zugec.com/drupal/install-fckeditor-on-drupal-6

Peut-etre ton pb de mémoire?
A priori, tous les hébergeurs limitent à 32Mo
Je suis également toujours au ras de la ligne...
Pour lancer le "backup", je dois virer l'admin menu...

J'ai retrouvé une partie de mon "log" de modifs ou d'erreurs:

C'est "tel quel"!!
j'avais essayé Tiny / et pas mal d'autres , mais je ne retrouvais pas la
"facilité" de jce (joomla)
d'ou l'install de fckeditor.

************début note

Galère pour image assist...
pas moyen 20/06/09

copié le im_ass_fk.js ds le rep module/image_assist
rien
desactivé l'optimisation javascript (performance) ok

obligé de moder le config.php de fkedit.../editor/filema/connect/php
enable "true"...
pour permettre l'upload
rep upload
userfiles/image/+divers (ou autre créé)

Gallery
install de gallery(modulegallery-6.x-1.0.
pour installer gallery2

le 14/07
on casse tout et on recommence
(vire acquia, et pg de variable PGEdit)

*********fin de la note

la modif de config.php j'ai du la refaire avec l'install "tout neuf".

mais j'ai la mémoire un peu "polluée" car je travaillais sur 3
maquettes: (Drupal/typo3/spip2) du même projet.
Le choix (le 23 juil!!) s'est porté sur...
celle de Drupal...

Mais avec la limite "mémoire" à 32Mo...

Bonne plage!!

**************je me réédite!

Je viens de trouver un fil sur ce forum, et peut-etre que???
Et tout en bas de page...

http://drupalfr.org/node/3789

tu as peut-etre un "repertoire de trop"??

Bon,j'aime pas flooder, ni m'auto-répondre... mais là... ça marche toujours pas et je suis assez désespérée...
S'il vous plait, si vous comprenez quelque chose à mon pb, aidez moi... merci !

Pour cerner le problème, personnellement, j'aurais créer un nouveau rôle (dans drupal et dans FCK) et un user avec ce rôle, pour voir si le problème ne vient qu'avec les anciens rôles ou aussi avec les nouveaux.
Il y a bien des chances que tu aies déjà fait ce test, mais au cas où....

Salut tout le monde,
Veroo,

Personnellement pour répondre à un besoin, je commence à m'intéresser à Drupal.
Je suis donc en train de me construire un Drupal de base pour me permettre de tester les fonctionnalités dont je vais avoir besoin. Il y a bien entendu la possibilité de faire de l'édition Wysiwyg. Me concernant je suis parti direct sur la version 6.13 de Drupal.

J'ai installé le module Wysiwyg API 6.x-2.0 (dans sites/all/modules) on trouve alors une entrée de menu dans la configuration de site. Cela va permettre de choisir son éditeur et le format d'entrée sur lequel l'appliquer. Une fois celui-ci choisi, cela offre également la possibilité de le paramétrer. Au préalable, comme indiqué ici http://drupal.org/node/371459 il faut avoir téléchargé les bibliothèques javascript correspondantes dans sites/all/librairies. Une fois que c'est fait wysiwyg api permet de choisir l'éditeur que l'on veut. Je n'ai eu aucun problème d'affichage avec FCK Editor 2.6.4.1 ni avec Wymeditor 0.5RC1

Manu

Merci à tous... mais malgré nos efforts conjoints ça ne marche toujours pas!
Je viens pour le fun d'installer fck sur un nouveau site... Fck est exactement configuré de la même façon et Formats d'entrée aussi. Appelons le : site B. Et... ça fonctionne très bien...
Alors ce site B est sur 1&1 (comme tous les sites que je construis) or le site A est sur ovh 240 plan.
Sur site A j'avais installé drupal 6.13 et fck 6.x-1.4-rc1.
Sur le site B avec drupal 6.13 et fck 6.x-1.3.

Comme je ne peux pas changer l'hébergeur du site A, je commence néanmoins par retenter de revenir à fck 6.x-1.3... pas mal comme idée, non...?
Ben non... nada... nothing...
Je vais péter un cable !

Est-ce ovh le coupable?

Je suis bien d'accord avec toi sur le coté très étrange du pb...
J'ai désinstallé fck via "modules/desinstaller" puis reinstallé, donc reattribué roles et tout... en vain... toujours pas d'affichage !
Je vais retenter l'installation de wysiwyg et fck sans trop d'espoir, j'avoue... c'est à péter les plombs cette histoire.... C'est la 1ere fois que je bute comme ça sur un pb avec drupal... En plus je suis accro à fck et comme ce site est communautaire et destiné à une communauté néophyte, ça parait être le minimum fck...

D'autres idées???

Sinon dans mon tableau de bord, pour voir après avoir rentré la commande dans setting.php j'ai : PHP memory limit 128M...
C'est du flan ou vraiment ça l'a upgradé?

Bon alors déjà, voici tous mes modules :

ACL 6.x-1.0
Forum Access 6.x-1.0
Advanced Forum 6.x-1.1
Author Pane 6.x-1.1
Backup and Migrate 6.x-1.2
BUEditor 6.x-1.3
DHTML Menu 6.x-3.5
Directory 6.x-1.0-alpha1
FCKeditor 6.x-1.3
Footnotes 6.x-2.1
IMCE 6.x-1.2
Meta tags 6.x-1.0
Modr8 6.x-1.1
Node Privacy By Role 6.x-1.5
Pathauto 6.x-1.1
Poormanscron 6.x-1.0
Slideshow 6.x-2.1
Token 6.x-1.12

CCK
CCK 6.x-2.5
FileField 6.x-3.1
ImageField 6.x-3.1
Date/Heure
Calendar 6.x-2.2
Calendar Popup 6.x-2.2
Date 6.x-2.3
Date API 6.x-2.3
Date Popup 6.x-2.3
Image
Image 6.x-1.0-alpha5
Image Attach 6.x-1.0-alpha5
Image Import 6.x-1.0-alpha5
ImageCache
ImageAPI 6.x-1.6
ImageCache 6.x-2.0-beta10
Mail
Comment Mail 6.x-1.0-beta1
Private messages 6.x-1.0-rc3
Privatemsg Email Notification 6.x-1.0-rc
Autre
File Import 6.x-1.0-beta3
Printer, e-mail and PDF versions
Printer-friendly pages 6.x-1.8
Send by e-mail 6.x-1.8
Controle du spam
CAPTCHA 6.x-1.0-rc2
Taxonomie
Tagadelic 6.x-1.2
User Interface
Calendar Block 6.x-2.2
Vues
Tagadelic Views 6.x-1.x-dev
Views 6.x-2.6
Views Rotator 6.x-1.0-alpha2

Core - facultatif
Activé
Comment 6.13
Contact 6.13
Database logging 6.13
Forum 6.13
Help 6.13
Locale 6.13
Menu 6.13
Path 6.13
Profile 6.13
Search 6.13
Statistics 6.13
Taxonomy 6.13
Update status 6.13
Upload 6.13

Puis vous trouverez mon résultat affiché en pj.... c'est à dire qu'il n'y a rien à voir... lol... comme si je n'avais pas d'éditeur...
Qu'ai je fait? Ben comme je l'ai dit, j'ai muté tout le site de version 5 à 6... Fck fonctionnait bien en version 5...
Que puis je vous fournir de plus?

Impressionnant!
1) le nombre de modules!!
moi qui rame...
(par contre c'est un multilangue alors c'est peut-etre ça)

je te mets en pj la "disposition" de mon install:
site/all/modul...etc...
c'est pou etre sur que tu n'aies pas un rep de trop...
cela m'est arrivé!

Quand au 128mo..
j'ai aussi un phpinf() qui me donne 128...
Mais les erreurs tombent à 32Mo...

Ben comme cela a déjà été dit => procède par étape.
Fait une installation de base sans activer de modules dans la configuration.

Ensuite place Wysiwyg API (répertoire wysisyg) dans sites/all/modules
Place le javascript(répertoire fckeditor) de FCK Editor dans sites/all/librairies

Active Wysiswyg API dans la liste des modules.
Dans la configuration de Wysiwyg API active FCK Editor dans la liste des éditeurs, ensuite affecte au champ Full HTML FCK editeur et enregistre la configuration.

Fait un test en essayant de créer un contenu article par exemple

Et dis nous si c'est ok ?
Si ok ajoute les modules importants Pathauto,CCK, Views ...

Si pas ok, je sèche ;-)))
Manu
http://manooweb.frManu
http://manooweb.fr

Je veux bien mais je ne sais pas comment faire...
Ce site n'est pas nouveau, il a plus d'un an et demi et c'est le site d'une grosse asso... Il a dejà pas mal de contenu.
Repartir à zero, c'est quoi? Désinstaller un par un mes modules? Ecraser mon drupal actuel? Tout effacer? Mais la BD elle, elle existe et je ne peux en aucun cas la supprimer... Alors que faire?

oups, oui la boulette :-) mais je le dis pas trop fort, elle a l'air musclée la "We Can Do It" ;-)

Et t'as plus de sauvegarde de la version Drupal 5 ? ça te permettrait de le remonter en local pourfaire les test comme proposé plus haut.

Webmaster débutant... pour soi-même (si si) et quelques associations de son village :-)

ben à voir le nombre d'heures depuis lequel tu te penche sur ce problème, pas sûr que ce soit beaucoup plus fastidieux :-)

Webmaster débutant... pour soi-même (si si) et quelques associations de son village :-)

Bon même en supprimant tous mes modules et mon thème... nada !

2nd edit : et même en effaçant tout et repartant d'une installation "neuve" de drupal et fck...
Le ver est dans le fruit... euhhh la base de données quoi... oui mais où???? Que dois je bidouiller ds la bd pour débloquer la situation...?

Autre fait pas inintéressant, la traduction fr de drup est très aléatoire... certaines phrases sont traduites, d'autre non...

Dans la BDD après avoir désinstallé Fck, j'ai supprimé les diff entrées de fck (roles et settings) puis vidé la table cache.
J'ai réinstallé fck et....
NOTHING !

Marre, marre et marre...
Y-a-t-il qqun ici qui sache que bidouiller dans la BDD pour remedier à mon epineux pb?

Ben le hic c'est que mm avec bluemarine ça buggue... Fais ch... c'est qd meme bien pratique un editeur de texte !
En tout cas merci de vous "acharner " avec moi...! et merci pour le lien, je vais y regarder de pres !

As-tu essayé sur plusieurs navigateurs?
As-tu posté sur drupal.org? Il y a plusieurs posts avec des problèmes similaires aux tiens, et il semble que tous les problèmes soient du même type. Une erreur de script sous js, mais c'est en profondeur, pas évident. Il faudrait débugger.

Oui j'ai testé sur Renard de feu et IE...
Euhhh oui j'ai posté ici... on est bien sur drupal org... je comprends po bien ta question...
Oui j'avais vu le truc js... mais uniquement lié à fck, or là tous les editeurs que j'essaie bugguent... WTF?!

Je ne sais pas si ça peut t'aider, mais voici ma check-list pour installer FCKeditor tout seul sans Wysiwyg (en fait avec Image_Assist, mais c'est un autre problème, je vais faire un post à ce sujet)...

As-tu essayé de faire ça sur un drupal-6 tout neuf pour voir si ça fonctionne (y'a pas de raison que non, mais c'est pour voir si tu n'oublies rien)?

- module FCKeditor à télécharger sur http://drupal.org/project/fckeditor
- décompresser l'archive .tar.gz en local pour obtenir un répertoire fckeditor (n°1)
- ouvrir ce répertoire : il contient un second répertoire fckeditor (n°2)
- ouvrir ce répertoire : il est presque vide, à l'exception d'un fichier COPY_HERE.txt
- télécharger FCKeditor lui-même sur http://www.fckeditor.net/download
- décompresser l'archive en local pour obtenir un troisième répertoire fckeditor (n°3)
- déplacer son contenu vers le répertoire fckeditor (n°2), à côté du fichier COPY_HERE.txt
- transférer le répertoire fckeditor (n°1) vers le répertoire distant drupal\sites\all\modules
- activer le module FCKeditor

- aller dans " Administrer › Gestion des utilisateurs › Droits d'accès"
- dans "module fckeditor", à "access fckeditor" cocher "utilisateurs identifiés"
- aller dans "Administrer › Configuration du site › FCKeditor"
- cliquer sur modifier le profile "Default"
- développer "Basic setup"
- affecter "Roles allowed to use this profile" : "utilisateur identifié"
- développer "Visibility settings"
- sélectionner "Use inclusion or exclusion mode" : "include"
- saisir dans "Fields to exclude/include" : edit-body
- développer "Editor appearance"
- sélectionner "Use FCKeditor in a popup window" : "false"
- sélectionner "Toolbar" : "DrupalFull"
- développer "File browser settings"
- sélectionner "File browser type" : "Aucun"
- sélectionner "Allow quick uploads" : "false"
- bien verifier que "Path to uploaded files" corresponde au chemin /drupal/sites/default/files/
- bien vérifier que "Absolute path to uploaded files" corresponde au chemin sur le serveur
- enregistrer en cliquant sur "Update profile"

J'espère que tu trouveras le petit truc qui te manque.

Bonjour

En tout cas, merci car cela fait quelques jours que je galère pour installer FCKEditor.
J'y suis arrivé sur une installation toute fraiche en local.
Donc maintenant je dois le faire sur mon autre site (beaucoup de modules ont été activé dont Wysiwyg)Il faut dire que j'ai dû supprimé, ajouté, supprimé, ajouté pour le faire marcher ce Wysiwyg(FCKEditor) la galère!!!!!!

Donc je pense que si je n'arrive pas, je devrai le réinstaller!!!! Tans pis.

En tous cas merci pour l'aide.

Re edit:

Ca marche avec Wysiwyg.
Merci

Non...
Je me suis passée d'un éditeur....
J'attends avec impatience de migrer mon site vers 1and1 en début 2010 car ça rame à mort chez ovh et j'espère remédier à ce pb d'éditeur...
Là j'aurai besoin d'aide pour appréhender cette migration et le nettoyage de BDD pour ne garder que l'essentiel (les utilisateurs, le contenu, mes champs et types de contenu)

Mauvaise nouvelle : 2 jours que je suis dessus avec le même problème. Je viens juste de trouver ça dans le TROUBLESHOOTING.txt :

The other possibility may be that:

<?php
 
print $closure;
?>

is missing in your theme (solution similar as above, add that line of code to your theme at the end).
You can also use a different theme. :-p

Y'a pas dans bluemarine !
J'ai bien sûr essayé de le coller dedans. A part la page d'accueil, tout est planté !
Soit je me passe de fckeditor soit je me refais un thème…

Je me réponds, j'ai commencé à chercher un thème qui contenait le print $closure;
c'est drôle y'en a nulle part ! zen, aquia_slate, a3_atlantis, garland, chameleon, engines…
c'est quoi ce gag ?

Je sais mais je m'étonnais de cette info contenue dans le fichier TROUBLESHOOTING.txt
Faut dire que l'info sur fckeditor c'est fait à l'arrache en ce moment… avant de perdre son f, j'ai rêvé ou il fallait passer à la v2 avant de revenir à la 1.4 et il a failli s'appeler wysiwygEditor pendant 24 h ?

C'est expliqué sur la page du module FCKeditor - WYSIWYG HTML editor :
http://drupal.org/project/fckeditor
Version recommandée : 6.x-1.4 (2009-sept.-14)
Egalement disponible : 6.x-2.0-rc2 (2009-oct.-26) c'est une release candidat, presque la version définitive donc.
Pour novembre le module FCKeditor doit suivre l'évolution de l'éditeur et deviendra CKeditor.

L'éditeur FCKeditor lui-même est maintenant à télécharger sur cette page :
http://ckeditor.com/download
FCKeditor 2.6.5, released on 21 September 2009
La nouvelle version est déjà là :
CKEditor 3.0.1, released on 16 October 2009

Merci, merci merci merci merci merci merci merci merci... MERCI.
J'ai toujours eu ce problème avec Drupal et les éditeur Wysiwyg (TinyMCE, FCK, etc.) et je viens de trouver la réponse grâce à toi.

MERCI

Pour moi c'était bien juste le fait de ne pas print la variable $closure..

MERRRCCIIIIIIII§§§§§